### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-text-area/ecl-text-area.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `textarea[eclTextArea]`

### Index

###### Methods

- getCssClasses

###### Inputs

- eclSize
- isInvalid
- class
- e2eAttr

###### HostBindings

- class
- class.ecl-text-area--invalid

###### Accessors

- cssClasses
- invalidState

### Constructor

`constructor(ngControl: NgControl)`

Parameters :

Name | Type | Optional
ngControl | `NgControl` | No

### Inputs

eclSize
Type : `string`
Default value : `'m'`

isInvalid
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

class.ecl-text-area--invalid
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

invalidState
get `invalidState()`

# results matching ""

# No results matching ""